
package jp.riken.brain.ni.samuraigraph.figure.java2d;

import java.util.*;
import jp.riken.brain.ni.samuraigraph.base.*;
import jp.riken.brain.ni.samuraigraph.data.*;
import jp.riken.brain.ni.samuraigraph.figure.*;

/**
 * 
 */
public abstract class SGElementGroupVXY extends SGElementGroup
{

	/**
	 * 
	 */
	public SGElementGroupVXY()
	{
		super();
	}


	/**
	 * 
	 * 比のリストを元に描画要素を作成する
	 * @param ratioList
	 * @return
	 */
	public abstract boolean createDrawingElement(
		final ArrayList startRatioList,
		final ArrayList endRatioList );



}
